<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/white">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@android:color/white"
        android:fillViewport="true">

        <FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="#E6E6E6">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="45dp"
                        android:layout_marginStart="4dp"
                        android:layout_marginLeft="4dp"
                        android:layout_marginTop="4dp"
                        android:layout_marginBottom="4dp"
                        android:background="@android:color/white"
                        android:orientation="horizontal">

                        <ImageButton
                            android:id="@+id/backButton"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_alignParentStart="true"
                            android:layout_alignParentLeft="true"
                            android:layout_centerInParent="true"
                            android:layout_marginStart="8dp"
                            android:layout_marginLeft="8dp"
                            android:background="@android:color/transparent"
                            android:contentDescription="@string/app_name"
                            android:scaleType="fitCenter"
                            android:src="@drawable/back_icon" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            android:layout_marginLeft="5dp"
                            android:layout_toEndOf="@id/backButton"
                            android:layout_toRightOf="@id/backButton"
                            android:gravity="center"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/productName"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginEnd="8dp"
                                android:layout_marginRight="8dp"
                                android:textSize="18sp"
                                android:textStyle="bold" />

                            <ImageButton
                                android:id="@+id/productImage"
                                android:layout_width="50dp"
                                android:layout_height="50dp"
                                android:background="@android:color/transparent"
                                android:contentDescription="@string/app_name"
                                android:scaleType="fitCenter" />
                        </LinearLayout>
                    </RelativeLayout>

                    <ExpandableListView
                        android:id="@+id/cpMainList"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:divider="@android:color/transparent"
                        android:dividerHeight="0dp"
                        android:groupIndicator="@null" />

                </LinearLayout>


                <LinearLayout
                    android:id="@+id/linearplacedrop"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight=".5"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:paddingTop="@dimen/textSize">

                    <ImageView
                        android:layout_width="@dimen/_30sdp"
                        android:layout_height="@dimen/_30sdp"
                        android:scaleType="centerCrop"
                        android:src="@drawable/drop" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginTop="@dimen/textSizeToSmall"
                        android:gravity="center_horizontal"
                        android:text="@string/comp_drag_drop"
                        android:textColor="#000000"
                        android:textSize="@dimen/textSizeToSmall" />
                </LinearLayout>


                <HorizontalScrollView
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="1">

                    <LinearLayout
                        android:id="@+id/childLayout"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:orientation="horizontal">

                    </LinearLayout>

                </HorizontalScrollView>

            </LinearLayout>


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="@dimen/_60sdp"
                android:layout_gravity="end|bottom"
                android:layout_marginBottom="@dimen/_10sdp"
                android:background="@android:color/transparent"
                android:elevation="6dp"
                android:gravity="end"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/expand_button"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:scaleType="fitXY"
                    android:src="@mipmap/left_compare" />

                <net.cachapa.expandablelayout.ExpandableLayout
                    android:id="@+id/expandable_layout"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    app:el_duration="1000"
                    app:el_expanded="false">

                    <LinearLayout
                        android:id="@+id/itemLayout"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal" />
                </net.cachapa.expandablelayout.ExpandableLayout>


            </LinearLayout>
        </FrameLayout>

    </ScrollView>

    <ProgressBar
        android:id="@+id/progress"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_centerHorizontal="true" />
</RelativeLayout>